org.glassfish.jersey.server.spi

## Interface ContainerLifecycleListener

All Known Implementing Classes:
  AbstractContainerLifecycleListener, ApplicationHandler

    @Contract
     @ConstrainedTo(value=SERVER)
    public interface ContainerLifecycleListener

Classes implementing this contract receive container life-cycle notification events.

Author:
  Marek Potociar

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onReload(Container container)` Invoked when the `container` has been reloaded.
`void` `onShutdown(Container container)` Invoke at the `container` shut-down.
`void` `onStartup(Container container)` Invoked at the `container` start-up.

### Method Detail

#### onStartup

    void onStartup(Container container)

Invoked at the `container` start-up. This method is invoked even when application is reloaded and new instance of application has started.

Parameters:
  `container` - container that has been started.

#### onReload

    void onReload(Container container)

Invoked when the `container` has been reloaded.

Parameters:
  `container` - container that has been reloaded.

#### onShutdown

    void onShutdown(Container container)

Invoke at the `container` shut-down. This method is invoked even before the application is being stopped as a part of reload.

Parameters:
  `container` - container that has been shut down.